[Bug 1157] Linux-PAM has cracklib listed as optional dependency

DJ Lucas dj at linuxfromscratch.org
Tue Jan 11 20:36:56 PST 2005


On Tue, 2005-01-11 at 20:11 -0700, blfs-bugs at linuxfromscratch.org wrote:
> http://blfs-bugs.linuxfromscratch.org/show_bug.cgi?id=1157
> 
> 
> 
> 
> 
> ------- Additional Comments From kpfleming at linuxfromscratch.org  2005-01-11 20:11 -------
> Yes, that's what I saw too.
> 
> 

from configure:
-------------------------------------------------------------
if test -z "$CRACKLIB_DICTPATH" ; then
      { { echo "$as_me:$LINENO: error: none found" >&5
echo "$as_me: error: none found" >&2;}
   { (exit 1); exit 1; }; }
else
      echo "$as_me:$LINENO: result: $CRACKLIB_DICTPATH" >&5
echo "${ECHO_T}$CRACKLIB_DICTPATH" >&6
fi
-------------------------------------------------------------
I think this should be wrapped in 'if test "$HAVE_LIBCRACK" = "yes"' but
I've no idea how to do this in configure.in.  auto*magic* is just about
that to me.  Looks like earlier up, HAVE_FASCIST_CHECK should result in
HAVE_LIBCRACK=no...and the rest should build just fine.  I'll compare
with the 0.77 version of configure.in and see if maybe I can figure it
out...but if one of y'all know the autotools well, then please have
at! :-)

-- DJ Lucas




More information about the blfs-book mailing list